/// <reference types="node" />
import querystring from "querystring";
export declare function getURLQuery({ location: { search } }: Pick<Window, "location">): URLQueryMap;
/**
 * Merge query maps into one big query map, concatenating values at common
 * keys together into an Array.
 */
export declare function mergeQueryMaps(...queries: readonly URLQueryMap[]): querystring.ParsedUrlQuery;
export declare function toArray<T>(value: T | readonly T[]): readonly T[];
export declare function replaceURLQuery({ historyWithCallbacks }: Pick<Window, "historyWithCallbacks">, query: URLQueryMap): void;
//# sourceMappingURL=utils.d.ts.map